function vec = vecinas(matriz,posicion,nivel)
%
%Esta funcion calcula las neuronas vecinas de la neurona situada en la
%posición "posición". "nivel" especifica la distancia de las neuronas a
%las que se considera vecinas
%


% APRENDIZAJE AUTOMÁTICO (Gonzalo Pajares y Jesús M. de la Cruz, Eds.)
% Editorial: RA-MA
% Capítulo 4: Redes Neuronales Artificiales
% Autores: José Antonio López Orozco



tam = size(matriz);
vec = zeros(tam);
for i=1:tam(1)
    for j=1:tam(2)
        distancia = abs(i-posicion(1)) + abs(j-posicion(2));
        if distancia <= nivel
            vec(i,j)=nivel-distancia+1;
        end
    end
end
